# Uses of Interface
jdk.jshell.SourceCodeAnalysis.CompletionInfo

Packages that use SourceCodeAnalysis.CompletionInfo
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

## Uses of SourceCodeAnalysis.CompletionInfo in jdk.jshell

Methods in jdk.jshell that return SourceCodeAnalysis.CompletionInfo
Modifier and Type
Method
Description
`abstract SourceCodeAnalysis.CompletionInfo`
SourceCodeAnalysis.`analyzeCompletion(String input)`
Given an input string, find the first snippet of code (one statement, definition, import, or expression) and evaluate if it is complete.